<template>
  <section>
    <img src="~/assets/title.svg">

    <div class="title">
      <h1>youkaichan kaeruyo</h1>
      <h2>little demons, let's go home</h2>
    </div>

    <p>
      created for <a href="https://ldjam.com/events/ludum-dare/43">Ludum Dare 43</a>
    </p>
    <p>
      by
      <a href="https://dasmaichen.de">dasMaichen</a>,
      Saskia,
      Silke,
      psimyn,
      and
      <a href="https://winniehell.de">winniehell</a>
    </p>
    <press-enter next-state="story-1" />

    <music file-path="title-music" />
  </section>
</template>

<script>
import Music from '~/components/music.vue'
import PressEnter from '~/components/press-enter.vue'
import characterList from '~/static/characters/index.json'

export default {
  components: {
    Music,
    PressEnter
  },
  mounted() {
    this.$nextTick(this.prefetchAssets)
  },
  methods: {
    prefetchAssets() {
      const urls = ['/story01_with_text.png', '/story02_with_text.png']
      const characterNames = Object.keys(characterList)
      characterNames.forEach(name => {
        urls.push(`/characters/${name}_animation.png`)
      })
      characterNames.forEach(name => {
        urls.push(`/character-cards/${name}-steckbrief.png`)
      })

      urls.forEach(url => this.$axios.$get(url))
    }
  }
}
</script>

<style scoped>
h1,
h2,
p {
  margin: 0.5rem;
}

h2 {
  color: #c0c0c0;
  font-size: 125%;
}

section {
  align-items: center;
  bottom: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
}

.title {
  margin: 2rem;
}
</style>
